# FormField Class Reference
[Data validation layer]

Atom for using in LogicalExpression. More...

List of all members.

## Public Member Functions

| __construct ($name)
| getName ()
| toValue (Form $form)

## Static Public Member Functions

static | create ($name)

## Private Attributes

| $primitiveName = null

## Detailed Description

Atom for using in LogicalExpression.

See also:
  DBField

Definition at line 19 of file FormField.class.php.

## Constructor & Destructor Documentation

FormField::__construct | ( | $ | name | ) |

Definition at line 23 of file FormField.class.php.

## Member Function Documentation

static FormField::create | ( | $ | name | ) | `[static]`

Returns:
  FormField

Definition at line 31 of file FormField.class.php.

FormField::getName | ( |  | ) |

Definition at line 36 of file FormField.class.php.

FormField::toValue | ( | Form $ | form | ) |

Definition at line 41 of file FormField.class.php.

References PlainForm::getValue().

Here is the call graph for this function:

## Member Data Documentation

FormField::$primitiveName = null`[private]`

Definition at line 21 of file FormField.class.php.

The documentation for this class was generated from the following file:

- core/Form/FormField.class.php